Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.url
Interface URLStreamHandlerSetter

public interface URLStreamHandlerSetter

Interface used by `URLStreamHandlerService` objects to call the `setURL` method on the proxy `URLStreamHandler` object.

Objects of this type are passed to the `URLStreamHandlerService.parseURL(org.osgi.service.url.URLStreamHandlerSetter, java.net.URL, java.lang.String, int, int)` method. Invoking the `setURL` method on the `URLStreamHandlerSetter` object will invoke the `setURL` method on the proxy `URLStreamHandler` object that is actually registered with `java.net.URL` for the protocol.

Method Summary
`void` | `setURL(java.net.URL u, java.lang.String protocol, java.lang.String host, int port, java.lang.String file, java.lang.String ref)` Deprecated. This method is only for compatibility with handlers written for JDK 1.1.
`void` | `setURL(java.net.URL u, java.lang.String protocol, java.lang.String host, int port, java.lang.String authority, java.lang.String userInfo, java.lang.String path, java.lang.String query, java.lang.String ref)`

Method Detail

### setURL

    public void setURL(java.net.URL u,
                       java.lang.String protocol,
                       java.lang.String host,
                       int port,
                       java.lang.String file,
                       java.lang.String ref)

  Deprecated. This method is only for compatibility with handlers written for JDK 1.1.

  See Also:
    "java.net.URLStreamHandler.setURL(URL,String,String,int,String,String)"

### setURL

    public void setURL(java.net.URL u,
                       java.lang.String protocol,
                       java.lang.String host,
                       int port,
                       java.lang.String authority,
                       java.lang.String userInfo,
                       java.lang.String path,
                       java.lang.String query,
                       java.lang.String ref)

  See Also:
    "java.net.URLStreamHandler.setURL(URL,String,String,int,String,String,String,String)"

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.